<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'bixo',

    /*
     * Package.
     */
    'package'   => 'offplan',

    /*
     * Modules.
     */
    'modules'   => ['offplan'],

    
    'offplan'       => [
        'model' => [
            'model'                 => \Bixo\Offplan\Models\Offplan::class,
            'table'                 => 'offplans',
            'presenter'             => \Bixo\Offplan\Repositories\Presenter\OffplanPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'slug',  'emirate_id',  'location_id',  'ploat_no',  'land_no',  'type_id',  'maintanence_fee',  'floors',  'ploat_area',  'bua',  'contact_id',  'description',  'developer_id',  'bank',  'account_no',  'municipality_no',  'documents',  'notes',  'facilities',  'amenities',  'contact_name',  'contact_phone',  'contact_description',  'finance_company',  'loan_term',  'payment_plan',  'specifications',  'brochure',  'video',  'floor_plans',  'handover_date',  'banner_image',  'title',  'subtitle',  'tag_line',  'lattitude',  'longitude',  'photos',  'upload_folder',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'offplan/offplan',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Bixo',
            'package'   => 'Offplan',
            'module'    => 'Offplan',
        ],

    ],
];
