<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOffplansTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: offplans
         */
        Schema::create('offplans', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('slug', 200)->nullable();
            $table->integer('emirate_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->string('ploat_no', 30)->nullable();
            $table->string('land_no', 30)->nullable();
            $table->integer('type_id')->nullable();
            $table->string('maintanence_fee', 30)->nullable();
            $table->integer('floors')->nullable();
            $table->string('ploat_area', 30)->nullable();
            $table->string('bua', 30)->nullable();
            $table->integer('contact_id')->nullable();
            $table->text('description')->nullable();
            $table->integer('developer_id')->nullable();
            $table->string('bank', 100)->nullable();
            $table->string('account_no', 30)->nullable();
            $table->string('municipality_no', 30)->nullable();
            $table->text('documents')->nullable();
            $table->text('notes')->nullable();
            $table->string('facilities', 300)->nullable();
            $table->string('amenities', 300)->nullable();
            $table->string('contact_name', 200)->nullable();
            $table->integer('contact_phone')->nullable();
            $table->text('contact_description')->nullable();
            $table->string('finance_company', 200)->nullable();
            $table->string('loan_term', 20)->nullable();
            $table->text('payment_plan')->nullable();
            $table->text('specifications')->nullable();
            $table->text('brochure')->nullable();
            $table->string('video', 200)->nullable();
            $table->text('floor_plans')->nullable();
            $table->string('handover_date', 30)->nullable();
            $table->text('banner_image')->nullable();
            $table->string('title', 50)->nullable();
            $table->string('subtitle', 50)->nullable();
            $table->text('tag_line')->nullable();
            $table->double('lattitude', 11,8)->nullable();
            $table->double('longitude', 11,8)->nullable();
            $table->text('photos')->nullable();
            $table->string('upload_folder', 50)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('offplans');
    }
}
