<?php

namespace Bixo\Offplan;

use User;

class Offplan
{
    /**
     * $offplan object.
     */
    protected $offplan;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Offplan\Interfaces\OffplanRepositoryInterface $offplan)
    {
        $this->offplan = $offplan;
    }

    /**
     * Returns count of offplan.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.offplan.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->offplan->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\OffplanUserCriteria());
        }

        $offplan = $this->offplan->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('offplan::' . $view, compact('offplan'))->render();
    }
}
