<?php

namespace Bixo\Offplan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OffplanTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Offplan\Models\Offplan $offplan)
    {
        return [
            'id'                => $offplan->getRouteKey(),
            'key'               => [
                'public'    => $offplan->getPublicKey(),
                'route'     => $offplan->getRouteKey(),
            ], 
            'name'              => $offplan->name,
            'slug'              => $offplan->slug,
            'emirate_id'        => $offplan->emirate_id,
            'location_id'       => $offplan->location_id,
            'ploat_no'          => $offplan->ploat_no,
            'land_no'           => $offplan->land_no,
            'type_id'           => $offplan->type_id,
            'maintanence_fee'   => $offplan->maintanence_fee,
            'floors'            => $offplan->floors,
            'ploat_area'        => $offplan->ploat_area,
            'bua'               => $offplan->bua,
            'contact_id'        => $offplan->contact_id,
            'description'       => $offplan->description,
            'developer_id'      => $offplan->developer_id,
            'bank'              => $offplan->bank,
            'account_no'        => $offplan->account_no,
            'municipality_no'   => $offplan->municipality_no,
            'documents'         => $offplan->documents,
            'notes'             => $offplan->notes,
            'facilities'        => $offplan->facilities,
            'amenities'         => $offplan->amenities,
            'contact_name'      => $offplan->contact_name,
            'contact_phone'     => $offplan->contact_phone,
            'contact_description' => $offplan->contact_description,
            'finance_company'   => $offplan->finance_company,
            'loan_term'         => $offplan->loan_term,
            'payment_plan'      => $offplan->payment_plan,
            'specifications'    => $offplan->specifications,
            'brochure'          => $offplan->brochure,
            'video'             => $offplan->video,
            'floor_plans'       => $offplan->floor_plans,
            'handover_date'     => $offplan->handover_date,
            'banner_image'      => $offplan->banner_image,
            'title'             => $offplan->title,
            'subtitle'          => $offplan->subtitle,
            'tag_line'          => $offplan->tag_line,
            'lattitude'         => $offplan->lattitude,
            'longitude'         => $offplan->longitude,
            'photos'            => $offplan->photos,
            'upload_folder'     => $offplan->upload_folder,
            'user_id'           => $offplan->user_id,
            'user_type'         => $offplan->user_type,
            'deleted_at'        => $offplan->deleted_at,
            'url'               => [
                'public'    => trans_url('offplan/'.$offplan->getPublicKey()),
                'user'      => guard_url('offplan/offplan/'.$offplan->getRouteKey()),
            ], 
            'status'            => trans('app.'.$offplan->status),
            'created_at'        => format_date($offplan->created_at),
            'updated_at'        => format_date($offplan->updated_at),
        ];
    }
}